<template>
  <label class="checkbox"
         :class="{
            'error': error
         }"
  >
    <input type="checkbox"
           :name="name"
           :checked="checked"
           @change="$emit('change', $event.target.checked)"
    >
    <span class="checkbox__field">
      <icon-check class="checkbox__icon"/>
    </span>
    <span class="checkbox__label" :class="labelClass"><slot/></span>
  </label>

</template>

<script>
  import IconCheck from '../components/icons/IconCheck';

  export default {
    name: 'SingleCheckbox',
    model: {
      prop: 'checked',
      event: 'change'
    },
    props: {
      labelClass: {
        type: String,
        default: ''
      },

      name: {
        type: String,
        required: true
      },

      checked: {
        type: Boolean,
        required: true
      },

      error: {
        type: Boolean,
        default: false,
      }
    },
    components: {
      IconCheck
    },
  }
</script>

<style scoped lang="scss">
  @import '~assets/scss/variables.scss';
  @import '~assets/scss/mixins.scss';

  .checkbox {
    @include checkbox;

    &__label {
      @include p3;

      a {
        color: $black;

        &:hover {
          color: rgba($black, .5);
        }
      }
    }
  }
</style>
